# Uses of Class
org.apache.lucene.search.similarities.BasicModel

Packages that use BasicModel
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of BasicModel in org.apache.lucene.search.similarities

  Subclasses of BasicModel in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `class`
  `BasicModelG`
  Geometric as limiting form of the Bose-Einstein model.
  `class`
  `BasicModelIF`
  An approximation of the I(ne) model.
  `class`
  `BasicModelIn`
  The basic tf-idf model of randomness.
  `class`
  `BasicModelIne`
  Tf-idf model of randomness, based on a mixture of Poisson and inverse document frequency.
  Fields in org.apache.lucene.search.similarities declared as BasicModel
  Modifier and Type
  Field
  Description
  `protected final BasicModel`
  DFRSimilarity.`basicModel`
  The basic model for information content.
  Methods in org.apache.lucene.search.similarities that return BasicModel
  Modifier and Type
  Method
  Description
  `BasicModel`
  DFRSimilarity.`getBasicModel()`
  Returns the basic model of information content
  Constructors in org.apache.lucene.search.similarities with parameters of type BasicModel
  Modifier
  Constructor
  Description
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization)`
  Creates DFRSimilarity from the three components and using default discountOverlaps value.
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization, boolean discountOverlaps)`
  Creates DFRSimilarity from the three components and with the specified discountOverlaps value.